Bug 497790 - Plymouthd prevents startup of ramlog
Plymouthd prevents startup of ramlog
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: plymouth (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-27 05:25 EDT by Thomas Hartwig
Modified: 2009-12-18 04:21 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:21:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Hartwig 2009-04-27 05:25:48 EDT
Description of problem:

Plymouthd does some log in /var/log/boot.log or at least opens it at startup. This prevents ramlog to start because it expects an untouched /var/log directory.

Version-Release number of selected component (if applicable):

plymouth 0.6.0-0.2008.11.17.3.fc10
ramlog 1.1.0-1.noarch 

How reproducible:

install/enable ramlog
install/enable plymouth

Actual results:

startup of ramlog fails on boot with: Error: /var/log is already in use...

Expected results:

ramlog should start without error

Additional info:

For seeing ramlog not starting I changed the init script as follows. This modification shows which files prevent ramlog from start.

number_of_open_files () {
        lsof 2>/dev/null +D /var/log
        return `$LSOF 2>/dev/null +D /var/log | $WC -l`
}                                                      

Possible workaround might be to disable plymouth logging to boot.log. But I don't know if plymouth does use the logfile for some kind of its statistical analysis?
Comment 1 Nenad Mikša 2009-08-19 06:41:47 EDT
I'm having the same problem here on F11.

Looks like plymouth logs all boot messages to /var/log/boot.log, even before ramlog is started.

Is there any way to change the default plymouth log directory?
Comment 2 Nenad Mikša 2009-08-19 06:50:39 EDT
Looks like it may not be the plymouth bug after all. Now I booted without plymouth (without rhgb kernel option), and ramlog still has the same startup problem.
Comment 3 Nenad Mikša 2009-08-19 07:15:02 EDT
This is very strange. Even with disabled plymouth (without rhgb kernel option), your modification to the script shows that plymouthd process is using /var/log/boot.log.

Is it possible to delete plymouth package from the system, but not mkinitrd? For some case, mkinitrd depends on plymouth, and I doubt it's possible to boot without mkinitrd.
Comment 4 Charlie Brej 2009-08-19 09:05:20 EDT
Even if you remove rhgb (or splash) from the kernel command line, plymouth will still be executed. The log file is written as soon as / is mounted. Currently there is no way of overriding the location of the boot.log.

Would you like come kind of nolog/set log filename kernel command line option?
Comment 5 Nenad Mikša 2009-08-19 12:06:23 EDT
Now I booted with:
kernel /vmlinuz-2.6.29.6-217.2.8.fc11.i586 ro root=/dev/mapper/vg_2ndof12-lv_root nolog quiet nomodeset usbcore.autosuspend=1 ramdisk_size=18000

And the log was still written and ramlog failed to start. Have I done that correctly?
Comment 6 Ray Strode [halfline] 2009-08-20 13:47:19 EDT
should be plymouth:nolog not nolog
Comment 7 Nenad Mikša 2009-08-20 14:41:00 EDT
Now I booted with:
kernel /vmlinuz-2.6.29.6-217.2.8.fc11.i586 ro root=/dev/mapper/vg_2ndof12-lv_root plymouth:nolog quiet nomodeset ramdisk_size=19000

Log wasn't written, but ramlog failed to start. /var/log was still in use by the time ramlog should start.

Any more ideas for working around?
Comment 8 Bug Zapper 2009-11-18 06:51:31 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-12-18 04:21:47 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.